Subject: RE: bug#8653: 24.0.50; `M-x grep' output converts `~' to /cygdrive/c/...

From: "Drew Adams" <[email-masked]>
Date: Wed, 11 May 2011 11:24:58 -0700

> > Seems like Emacs & grep should be able to keep `~/' instead 
> > of printing `/cygdrive/c/'.  The current behavior is less
> > readable and uses 10 more characters.
> 
> Emacs behaves like what you see on all systems: grep reports the
> absolute file names, and Emacs does not convert them back to ~/foo.
> 
> But even if we make that change, I doubt that you will see ~/foo in
> your case, because Emacs doesn't know about the /cygdrive/c/ wizardry,
> unless cygwin-mount will help it.  And cygwin-mount isn't part of
> Emacs, so we cannot fix it to support that.
> 
> And Grep cannot keep the ~/foo notation at all, because ~ is a shell
> construct; applications and filesystems don't understand it, in
> general (Emacs is an exception).

Yes, that's what I figured you'd say.  Feel free to close the bug.
Or feel free to keep it open as an enhancement request.